require 'sketchup.rb'
require 'extensions.rb'
module BOCSTUDIO
  module LockView  
    PLUGIN = self
    PLUGIN_NAMESPACE  = 'Boc'.freeze
    PLUGIN_ID         = 'Top Bottom View'.freeze
    PLUGIN_NAME       = "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
    PLUGIN_VERSION    = '1.3.0'.freeze

    FILENAMESPACE = File.basename(__FILE__, '.*')
    PATH_ROOT     = File.dirname(__FILE__).freeze
    PATH          = File.join(PATH_ROOT, FILENAMESPACE).freeze

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, "#{FILENAMESPACE}/loader_boc_top_bottom_view")
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'BOC Studio © 2014-2024'
      ex.creator     = 'Nguyên Boc (nguyen.dt@bocstudio.com)'
      ex.description = '为 SketchUp 锁定2D顶底图'
      Sketchup.register_extension(ex, true)
      PLUGIN_EX = ex      
    end
  end
end
file_loaded(__FILE__)